org.apache.cassandra.dht

## Class LocalPartitioner.LocalToken

- java.lang.Object
- - org.apache.cassandra.dht.Token
  - - org.apache.cassandra.dht.LocalPartitioner.LocalToken

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token>, RingPosition<Token>

Enclosing class:
  LocalPartitioner

    public class LocalPartitioner.LocalToken
    extends Token

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.dht.Token

`Token.KeyBound, Token.TokenFactory, Token.TokenSerializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.dht.Token

`serializer`

### Constructor Summary

Constructors
Constructor and Description
`LocalToken(java.nio.ByteBuffer token)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Token o)`
`boolean` `equals(java.lang.Object obj)`
`long` `getHeapSize()`
`IPartitioner` `getPartitioner()`
`C` `getTokenValue()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.dht.Token

`getToken, isMinimum, maxKeyBound, minKeyBound, minValue, upperBound`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalToken

    public LocalToken(java.nio.ByteBuffer token)

### Method Detail

#### toString

    public java.lang.String toString()

#### compareTo

    public int compareTo(Token o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Token>`

#### hashCode

    public int hashCode()

#### equals

    public boolean equals(java.lang.Object obj)

#### getPartitioner

    public IPartitioner getPartitioner()

Specified by:
  `getPartitioner` in interface `RingPosition<Token>`
Specified by:
  `getPartitioner` in class `Token`

#### getHeapSize

    public long getHeapSize()

Specified by:
  `getHeapSize` in class `Token`

#### getTokenValue

    public C getTokenValue()

Specified by:
  `getTokenValue` in class `Token`